#include <iostream>
using namespace std;

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    int n,k, trzameniti, tmp;
    trzameniti = 0;
    cin >> n >> k;
    int *N = new int[n*2+1];

    for(int i = 0;i < n*2+1;i++){
        N[i] = 0;
    }

    for(int i = 0;i < n;i++){
        cin >> tmp;
        N[tmp+n]++;
        if(N[tmp+n] == k)
            trzameniti++;
    }

    cout << trzameniti << "\n";
    for(int i = 0;i < n*2+1;i++){
        if(N[i] >= k){
            cout << i-n << " ";
        }
    }
}